Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### >> (right shift)

Examples

    int m = 8 >> 3;    // In binary: 1000 to 1
    println(m);  // Prints "1"
    int n = 256 >> 6;  // In binary: 100000000 to 100
    println(n);  // Prints "4"
    int o = 16 >> 3;   // In binary: 10000 to 10
    println(o);  // Prints "2"
    int p = 26 >> 1;   // In binary: 11010 to 1101
    println(p);  // Prints "13"

    color argb = color(204, 204, 51, 255);
    int a = argb >> 24 & 0xFF;
    int r = argb >> 16 & 0xFF;  // Faster way of getting red(argb)
    int g = argb >> 8 & 0xFF;   // Faster way of getting green(argb)
    int b = argb & 0xFF;        // Faster way of getting blue(argb)
    fill(r, g, b, a);
    rect(30, 20, 55, 55);

Description

Shifts bits to the right. The number to the left of the operator is shifted the number of places specified by the number to the right. Each shift to the right halves the number, therefore each left shift divides the original number by 2. Use the right shift for fast divisions or to extract an individual number from a packed number. Right shifting only works with integers or numbers which automatically convert to an integer such at byte and char.

Syntax

    value >> n

Parameters

value | int: the value to shift
n | int: the number of places to shift right

Usage | Web & Application
Related | << (left shift)

Updated on February 09, 2008 04:38:53pm PST